Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Problem with update-ing pakages
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
MyDebian
Tux's lil' helper
Tux's lil' helper


Joined: 16 Mar 2006
Posts: 133

PostPosted: Mon Apr 17, 2006 2:26 pm    Post subject: Problem with update-ing pakages Reply with quote

I have tried to emerge --update --deep --newuse world
my system, but the process stops in the middle with an error :
Code:

make[3]: *** [libkaboodlepart.la] Error 1
make[3]: *** Waiting for unfinished jobs....
libtool: link: cannot find the library `/usr/lib/gcc/i386-pc-linux-gnu/3.4.4/libstdc++.la'
make[3]: *** [kaboodle] Error 1
make[3]: Leaving directory `/var/tmp/portage/kaboodle-3.4.3/work/kaboodle-3.4.3/kaboodle'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/var/tmp/portage/kaboodle-3.4.3/work/kaboodle-3.4.3/kaboodle'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/kaboodle-3.4.3/work/kaboodle-3.4.3'
make: *** [all] Error 2

and no only one package. The emerge of several pakages like
Code:

[ebuild   R   ] kde-base/kdelibs-3.4.3-r1
[ebuild   R   ] kde-base/noatun-3.4.3
[ebuild   R   ] kde-base/kaboodle-3.4.3

stops with the same error. Where might be the problem ? In the pakages or in my system ?
Back to top
View user's profile Send private message
MyDebian
Tux's lil' helper
Tux's lil' helper


Joined: 16 Mar 2006
Posts: 133

PostPosted: Mon Apr 17, 2006 2:30 pm    Post subject: Reply with quote

Here one more...
Code:

,--allow-shlib-undefined -R /usr/kde/3.4/lib -R /usr/kde/3.4/lib -R /usr/qt/3/lib -R /usr/lib  kfile_dvi.lo -lkio
grep: /usr/lib/gcc/i386-pc-linux-gnu/3.4.4/libstdc++.la: No such file or directory
/bin/sed: can't read /usr/lib/gcc/i386-pc-linux-gnu/3.4.4/libstdc++.la: No such file or directory
libtool: link: `/usr/lib/gcc/i386-pc-linux-gnu/3.4.4/libstdc++.la' is not a valid libtool archive
make[3]: *** [kfile_dvi.la] Error 1
make[3]: Leaving directory `/var/tmp/portage/kdegraphics-kfile-plugins-3.4.3/work/kdegraphics-kfile-plugins-3.4.3/kfile-plugins/dvi'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/var/tmp/portage/kdegraphics-kfile-plugins-3.4.3/work/kdegraphics-kfile-plugins-3.4.3/kfile-plugins'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/kdegraphics-kfile-plugins-3.4.3/work/kdegraphics-kfile-plugins-3.4.3'
make: *** [all] Error 2

!!! ERROR: kde-base/kdegraphics-kfile-plugins-3.4.3 failed.
!!! Function kde_src_compile, Line 226, Exitcode 2
!!! died running emake, kde_src_compile:make
!!! If you need support, post the topmost build error, NOT this status message.

How to update my system when I can't emerge the pakages. :(
Back to top
View user's profile Send private message
lnxz
Guru
Guru


Joined: 03 Jul 2005
Posts: 472
Location: Earth

PostPosted: Mon Apr 17, 2006 2:42 pm    Post subject: Reply with quote

Do you have libstdc++-v3 installed?
Have you run fix_libtool_files.sh?
Back to top
View user's profile Send private message
mark_alec
Bodhisattva
Bodhisattva


Joined: 11 Sep 2004
Posts: 6066
Location: Melbourne, Australia

PostPosted: Mon Apr 17, 2006 2:48 pm    Post subject: Reply with quote

Moved from Portage & Programming to Duplicate Threads.

See https://forums.gentoo.org/viewtopic.php?t=279020
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum